commit:     5e8286d5c4b5efa8bde774fce0b287ef86e491a2
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 13 08:26:35 2016 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Jan 13 08:46:42 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e8286d5

net-analyzer/tcpreplay: Version bump.

Package-Manager: portage-2.2.26

 net-analyzer/tcpreplay/Manifest               |  1 +
 net-analyzer/tcpreplay/tcpreplay-4.1.1.ebuild | 73 +++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/net-analyzer/tcpreplay/Manifest b/net-analyzer/tcpreplay/Manifest
index 2a2b7ad..79d59e6 100644
--- a/net-analyzer/tcpreplay/Manifest
+++ b/net-analyzer/tcpreplay/Manifest
@@ -1 +1,2 @@
 DIST tcpreplay-4.1.0.tar.gz 2118212 SHA256 
ad285b08d7a61ed88799713c4c5d657a7a503eee832304d3a767f67efe5d1a20 SHA512 
bfd7a0679dccd86aba7ca5d102665e6feba72bffb1596915985bc50261f9ac10ce56b870e1aa64a33efa79e3bee89b8c66e2c26328fb15d3722a5bc957ea77a2
 WHIRLPOOL 
e6a07495cb07a09f707b3784d15a266c04a7b3d369b7d8eb9d7d5683838accdcc539255ff05f99c2fc8036d045e66f3a250a0c7f1896024c65065a6c6d282b7a
+DIST tcpreplay-4.1.1.tar.gz 2173781 SHA256 
61b916ef91049cad2a9ddc8de6f5e3e3cc5d9998dbb644dc91cf3a798497ffe4 SHA512 
6be88d3742b93fa557c9142eebe7ae2cf61a5436087f8400260472f87c1dd0d61515b338706afa1c850ae2380c0d5fa664691052d3dc01f3099ad068b67eee87
 WHIRLPOOL 
ce1e4fe845ffbc019316f7a11249828d7b8c65afd9bfbff04950d0666aa79ee61e3bfd98d0870f820423cfb5b21e5274bf328cb4a020f290b0e7faa81297c544

diff --git a/net-analyzer/tcpreplay/tcpreplay-4.1.1.ebuild 
b/net-analyzer/tcpreplay/tcpreplay-4.1.1.ebuild
new file mode 100644
index 0000000..1136474
--- /dev/null
+++ b/net-analyzer/tcpreplay/tcpreplay-4.1.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils flag-o-matic
+
+DESCRIPTION="a suite of utilities for editing and replaying previously 
captured network traffic"
+HOMEPAGE="http://tcpreplay.appneta.com/ https://github.com/appneta/tcpreplay";
+LICENSE="BSD GPL-3"
+SRC_URI="https://github.com/appneta/${PN}/releases/download/v${PV}/${P}.tar.gz";
+
+SLOT="0"
+KEYWORDS="~amd64 ~sparc ~x86"
+IUSE="debug pcapnav +tcpdump"
+
+DEPEND="
+       >=sys-devel/autogen-5.18.4[libopts]
+       dev-libs/libdnet
+       >=net-libs/libpcap-0.9
+       tcpdump? ( net-analyzer/tcpdump )
+       pcapnav? ( net-libs/libpcapnav )
+"
+
+RDEPEND="${DEPEND}"
+
+DOCS=( docs/{CHANGELOG,CREDIT,HACKING,TODO} )
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-4.1.0-enable-pcap_findalldevs.patch
+
+       sed -i \
+               -e 's|-O3||g' \
+               -e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' \
+               configure.ac || die
+       sed -i \
+               -e 's|#include <dnet.h>|#include <dnet/eth.h>|g' \
+               src/common/sendpacket.c || die
+       sed -i \
+               -e 's|@\([A-Z_]*\)@|$(\1)|g' \
+               -e '/tcpliveplay_CFLAGS/s|$| $(LDNETINC)|g' \
+               -e '/tcpliveplay_LDADD/s|$| $(LDNETLIB)|g' \
+               src/Makefile.am || die
+
+       eautoreconf
+}
+
+src_configure() {
+       # By default it uses static linking. Avoid that, bug 252940
+       econf \
+               $(use_enable debug) \
+               $(use_with pcapnav pcapnav-config /usr/bin/pcapnav-config) \
+               $(use_with tcpdump tcpdump /usr/sbin/tcpdump) \
+               --disable-local-libopts \
+               --enable-dynamic-link \
+               --enable-shared \
+               --with-libdnet \
+               --with-testnic2=lo \
+               --with-testnic=lo
+}
+
+src_test() {
+       if [[ ! ${EUID} -eq 0 ]]; then
+               ewarn "Some tests were disabled due to FEATURES=userpriv"
+               ewarn "To run all tests issue the following command as root:"
+               ewarn " # make -C ${S}/test"
+               emake -j1 -C test tcpprep || die "self test failed - see 
${S}/test/test.log"
+       else
+               emake -j1 test || {
+                       ewarn "Note, that some tests require eth0 iface to be 
UP." ;
+                       die "self test failed - see ${S}/test/test.log" ; }
+       fi
+}

Reply via email to